"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enums_1 = require("../../enums");
const AttachmentButtonPayload_1 = require("../../classes/buttons/AttachmentButtonPayload");
/**
 * Represents an entire Button payload. To be used as payload for Quick Reply attachment type to send Button with Quick Replies
 * own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/buttons
 */
class AttachmentButtonBuilder {
    constructor() {
        this._type = enums_1.ATTACHMENT_TYPE.TEMPLATE;
    }
    getType() {
        return this._type;
    }
    setType(value) {
        this._type = value;
    }
    getText() {
        return this._text;
    }
    setText(value) {
        this._text = value;
    }
    getButtons() {
        return this._buttons;
    }
    setButtons(value) {
        this._buttons = value;
    }
    build() {
        return new AttachmentButtonPayload_1.AttachmentButtonPayload(this);
    }
}
exports.AttachmentButtonBuilder = AttachmentButtonBuilder;
//# sourceMappingURL=AttachmentButtonBuilder.js.map